#include <bits/stdc++.h>

using namespace std;

int main()
{
      int z=pow(10,9)+7;
    int l;
    cin>>l;
    string s ;
    cin>>s;

    int n = s.length();

    char nizc[n + 1];
    strcpy(nizc, s.c_str());
    int bruza=0;
   long long  prdup=1;
    char trenutna=nizc[0];
    for(char sl:nizc)
        {
            if(sl==trenutna)
                {
                  bruza++;


                }
            else
                {
                prdup=(prdup*bruza);

                trenutna=sl;
                bruza=1;

                }


        }
     prdup=prdup*bruza;
     long long x=prdup;

     double rez=x%z;
     cout<<rez;




}